################
# AMQP Service #
################
kind: Deployment
apiVersion: extensions/v1beta1
metadata:
  labels:
    app: amqp
  name: amqp
  namespace: ${NAMESPACE}-dev
spec:
  replicas: 1
  revisionHistoryLimit: 2
  selector:
    matchLabels:
      app: amqp
  template:
    metadata:
      labels:
        app: amqp
      namespace: ${NAMESPACE}-dev
    spec:
      containers:
      - name: amqp
        image: rabbitmq
---
kind: Service
apiVersion: v1
metadata:
  labels:
    app: amqp
  name: amqp
  namespace: ${NAMESPACE}-dev
spec:
  ports:
  - port: 5672
    protocol: TCP
    targetPort: 5672
  selector:
    app: amqp
---
######################
# PostgreSQL Service #
######################
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: db-data
  namespace: ${NAMESPACE}-dev
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 5Gi
---
kind: PersistentVolume
apiVersion: v1
metadata:
  name: pv0001
  namespace: ${NAMESPACE}-dev
spec:
  accessModes:
    - ReadWriteOnce
  capacity:
    storage: 5Gi
  hostPath:
    path: /data/pv0001/
---
kind: Deployment
apiVersion: extensions/v1beta1
metadata:
  labels:
    app: db
  name: db
  namespace: ${NAMESPACE}-dev
spec:
  replicas: 1
  revisionHistoryLimit: 2
  selector:
    matchLabels:
      app: db
  template:
    metadata:
      labels:
        app: db
      namespace: ${NAMESPACE}-dev
    spec:
      containers:
      - name: postgres
        image: postgres:9.5
        volumeMounts:
        - name: postgresdata
          mountPath: /var/lib/postgresql/data
      volumes:
      - name: postgresdata
        persistentVolumeClaim:
          claimName: db-data
---
kind: Service
apiVersion: v1
metadata:
  labels:
    app: db
  name: db
  namespace: ${NAMESPACE}-dev
spec:
  ports:
  - port: 5432
    protocol: TCP
    targetPort: 5432
  selector:
    app: db
