apiVersion: batch/v1
kind: Job
metadata:
  name: migrate-db
  namespace: ${NAMESPACE}
  labels:
    revision: "${REVISION}"
spec:
  template: 
    metadata:
      name: migrate-db
      namespace: ${NAMESPACE}
      labels:
        revision: "${REVISION}"
    spec:
      restartPolicy: Never
      containers:
        - name: migrate-db
          image: ${DOCKER_REGISTRY}/${IMAGE_NAME}:${IMAGE_TAG}
          imagePullPolicy: Always
          env:
            # config
            - name: DJANGO_SETTINGS_MODULE
              value: django_project.settings_base
            # secrets
            - name: ADMIN_DATABASE_URL
              valueFrom:
                secretKeyRef:
                  name: app
                  key: ADMIN_DATABASE_URL
            - name: DATABASE_URL
              valueFrom:
                secretKeyRef:
                  name: app
                  key: DATABASE_URL
            - name: SECRET_KEY
              valueFrom:
                secretKeyRef:
                  name: app
                  key: SECRET_KEY
          command: ["make", "app-update-db"]
