DOCKER_REGISTRY = localhost:5000
NAMESPACE = isitdeployable
DOMAIN = dpa.k8s
DB_EXTERNAL_NAME = db.$(NAMESPACE)-dev.svc.cluster.local
AMQP_EXTERNAL_NAME = amqp.$(NAMESPACE)-dev.svc.cluster.local
LP_BOT = $(shell bzr lp-login)

.DEFAULT_GOAL := envrc

# Quote a string for the shell.
quote = '$(subst ','\'',$(1))'
# Produce a shell command that exports a shell variable with the value of
# the corresponding make variable.  We need an extra layer of quoting here
# because the echo command itself will expand its arguments.
exportvar = echo $(call quote,export $(1)=$(call quote,$($(1))))

.PHONY: envrc
envrc:
	@$(call exportvar,DOCKER_REGISTRY)
	@$(call exportvar,NAMESPACE)
	@$(call exportvar,DOMAIN)
	@$(call exportvar,DB_EXTERNAL_NAME)
	@$(call exportvar,AMQP_EXTERNAL_NAME)
	@$(call exportvar,LP_BOT)
