from django.conf import settings
from django.contrib import admin
from django.conf.urls import include, url
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.generic import RedirectView
from django.views.static import serve
import django_openid_auth.urls

import djcelery
djcelery.setup_loader()

from revtracker import views

admin.autodiscover()

urlpatterns = [
    url(r'^', include('revtracker.urls')),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^openid/', include(django_openid_auth.urls)),
    url(r'^checklist/', include('checklist.urls')),
    # combo view for serving css outside dev/ prefix
    url(r'^combo/rev-\w+/$', views.combo_view, name='dpa-combo-link'),
    url(r'^combo/$', views.combo_view, name='dpa-combo'),
    url(r'^favicon\.ico$', RedirectView.as_view(url='%s/favicon.ico' % settings.STATIC_URL)),
]

urlpatterns += [
    url(r'^assets/(.*)', serve, {'document_root': settings.STATIC_ROOT}),
]

urlpatterns += staticfiles_urlpatterns()
