from django.conf.urls import include, url
from django_comments import urls as comments_urls

from revtracker import views


api_v1_urls = [
    url(r'^project/(?P<project_name>[\w\-]+)$', views.api_v1_project),
    url(r'^project/(?P<project_name>[\w\-]+)/\+set-deployed$', views.api_v1_project_set_deployed),
    url(r'^project/(?P<project_name>[\w\-]+)/\+revision-by-pk/(?P<pk>[\d]+)/\+change-status$', views.api_v1_project_change_revision_status),
    url(r'^project/(?P<project_name>[\w\-]+)/\+set-description$', views.api_v1_project_set_description, name="api_v1_project_set_description"),
    url(r'^person/(?P<person_name>[\w\.\-]+)$', views.api_v1_person),
]

urlpatterns = [
    url(r'^$', views.index, name="index"),
    url(r'^help$', views.help, name="help"),
    url(r'^project/(?P<project_name>[\w\-]+)$', views.project, name="project_view"),
    url(r'^project/(?P<project_name>[\w\-]+)/\+revision-by-pk/(?P<pk>[\d]+)/\+change-status$', views.project_change_revision_status, name="project_change_revision_status"),
    url(r'^project/(?P<project_name>[\w\-]+)/\+revision-by-pk/(?P<pk>[\d]+)/\+set-rollback$', views.project_set_revision_rollback, name="project_set_revision_rollback"),
    url(r'^project/(?P<project_name>[\w\-]+)/\+deployment-request/(?P<pk>[\d]+)$', views.deployment_request, name="deployment_request"),
    url(r'^project/(?P<project_name>[\w\-]+)/deployment-checklist$', views.project_checklist, name="project_checklist"),
    url(r'^person/(?P<person_name>[\w\.\-]+)$', views.person, name="person_view"),
    url(r'^comments/', include(comments_urls)),
    url(r'^deployment-requests/$', views.deployment_requests, name="deployment_requests"),

    url(r'^api/v1/', include(api_v1_urls)),
]
